Subject: bug#72453: 29.4; "use-package" macro does not load all expected related files

From: Derek Upham <[email-masked]>
Date: Sun, 4 Aug 2024 16:56:16 +0200 (CEST)

On Aug 4, 2024 at 1:14 AM, Eli Zaretskii <[email-masked]> wrote:Stefan, would you please handle this?  Moving use-package from
use-package-core.el to use-package.el would probably mean much more
massive load whenever the macro is used, and I wonder whether there's
a more light-weight solution.  If such a light-weight solution exists,
I think we should install it on the emacs-30 release branch, but if
the only reasonable solution is what the OP suggested, then I think it
should go to master.

Alternatively, create a new file in the use-package directory that
consolidates the top-level macro and the various add-to-list calls.
(I expect that :delight and :diminish have the same problem as
:ensure and :pin do.)  Maybe "use-package-bootstrap.el".

-- 
Sent with https://mailfence.com
Secure and private email